
#ifndef STREAMPLAYER_H
#define STREAMPLAYER_H

#ifdef HAVE_CONFIG_H
	#include "config.h"
#endif

#ifdef SOUND_SYSTEM_OPENAL

#ifdef SOUND_STREAM_VORBIS
	#include "oggstream.h"
#endif
#ifdef SOUND_STREAM_MP3
	#include "mp3stream.h"
#endif


#include <string>

// a stream player class that supports Ogg/Vorbis and MP3 stream decoding
class StreamPlayer {
public:
	StreamPlayer();
	~StreamPlayer();

	void play( const std::string& filename );
	void stop();

	void setVolume(const float vol);
	bool update();

protected:
#ifdef SOUND_STREAM_VORBIS
	OggStream* mOggStream;
#endif

#ifdef SOUND_STREAM_MP3
	MP3Stream* mMP3Stream;
#endif

	SoundStream* mNullStream; // default null output

	SoundStream* mCurrentStream; // active stream
};

#endif

#endif

// THE END
